# SendAction - docs

docs / com.github.insanusmokrassar.TelegramBotAPI.requests.send / SendAction

# SendAction

(common) `data class SendAction : SendChatMessageRequest<Boolean>` (source)

Send notification to user which will be shown for 5 seconds or while user have no messages from bot

### Constructors

(common)

#### <init>

Send notification to user which will be shown for 5 seconds or while user have no messages from bot

`SendAction(chatId: ChatIdentifier, action: BotAction)`

### Properties

(common)

#### action

`val action: BotAction`

(common)

#### chatId

`val chatId: ChatIdentifier`

(common)

#### requestSerializer

`val requestSerializer: SerializationStrategy<*>`

(common)

#### resultDeserializer

`val resultDeserializer: DeserializationStrategy<Boolean>`

### Functions

(common)

#### method

`fun method(): String`